curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/external_cards/{external_card_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api-sandbox.synctera.com/v0/external_cards/{external_card_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-sandbox.synctera.com/v0/external_cards/{external_card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration_month": "06",
"expiration_year": "25",
"id": "<string>",
"last_four": "1234",
"name": "Jean Valjean",
"status": "ACTIVE",
"bin": "<string>",
"created_time": "2010-05-06T12:23:34.321Z",
"deletion_time": "2010-05-06T12:23:34.321Z",
"issuer": "<string>",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"verifications": {
"address_verification_result": "ADDRESS_AND_ZIP_MISMATCH",
"cvv2_result": "CVV_MISMATCH",
"name_verification_result": "NAME_MISMATCH",
"pull_enabled": true,
"push_enabled": true,
"state": "FAILED",
"pull_details": {
"country": "US",
"currency": "USD",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
},
"push_details": {
"country": "US",
"currency": "USD",
"funds_availability": "FEW",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
}
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update External Card
Update External Card data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of an external card
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Fields to update
Status of an External Card
ACTIVE, SUSPENDED Response
External Card details
ISO 4217 Alpha-3 currency code
3"USD"
The unique identifier of a customer
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"06"
"25"
External card ID
The last 4 digits of the card PAN
"1234"
The cardholder name
"Jean Valjean"
Status of an External Card
ACTIVE, DELETED, SUSPENDED Bank Identification Number
"2010-05-06T12:23:34.321Z"
"2010-05-06T12:23:34.321Z"
Name of issuing financial institution
"2010-05-06T12:23:34.321Z"
Verify card passed AVS and CVV checks and if it able to perform PUSH/PULL transfers.
Show child attributes
Show child attributes
Was this page helpful?

